gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.VBox An icon listing/chooser display. To be added
- Constructor
  2.24.0.0
  Creates a new icon selection widget, it uses GnomeIconList for the listing of icons.
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.24.0.0
  System.Void Adds the default pixmap directory into the selection widget. It doesn't show the icons in the selection until you do ShowIcons.
- Method
  2.24.0.0
  System.Void `` Directory with pixmaps Adds the icons from the directory dir to the selection widget. It doesn't show the icons in the selection until you do ShowIcons.
- Property
  2.24.0.0
  Gtk.Widget The Gtk.VBox widget that is used to pack the different elements of the selection into. To be added: an object of type 'Gtk.Widget' To be added
- Method
  2.24.0.0
  System.Void `` Set to 'true' to clear even the icons that were not shown yet. Clear the currently shown icons, the ones that weren't shown yet are not cleared unless the not_shown parameter is given, in which case even those are cleared. To be added
- Method
  2.24.0.0
  System.String `` To be added: an object of type 'bool' Gets the currently selected icon name. The name of the icon that is currently selected. If full_path is true, it returns the full path to the icon, if none is selected it returns NULL.
- Property
  2.24.0.0
  Gtk.Widget The IconList widget that is used for the display of icons To be added: an object of type 'Gtk.Widget' To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  System.Void `` icon filename Selects the icon filename. This icon must have already been added and shown. see also ShowIcons
- Method
  2.24.0.0
  System.Void Shows the icons inside the widget that were added with AddDefaults and AddDirectory. Before this function is called the icons aren't actually added to the listing and can't be picked by the user.
- Method
  2.24.0.0
  System.Void Stop the loading of images when we are in the loop in ShowIcons, otherwise it does nothing and is harmless, it should be used say if the dialog was hidden or when we want to quickly stop loading the images to do something else without destroying the icon selection object. The remaining icons can be shown by ShowIcons. To be added